- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | List of all members
Sim::LEDActuator Class Reference

LEDActuator is a class defining a LED actuator. More...

`#include <alrobotmodel.h>`

## Public Types
enum | Color { RED, GREEN, BLUE }
| color of the LED More...
Public Types inherited from Sim::Actuator
enum | Type { ANGLE_MOTOR, COUPLED_MOTOR, TORQUE_MOTOR, ANGLE_SPEED_MOTOR, WHEEL_TORQUE, WHEEL_VELOCITY, LED }
| gives the type of the Actuator. More...

## Public Member Functions
| LEDActuator (class LEDActuatorImpl *impl)
| private constructor. More...
| LEDActuator (const LEDActuator &other)
| copy constructor. More...
| ~LEDActuator ()
| destructor. More...
virtual int | bufferSize () const
| returns the size of the buffer of a command to the LEDActuator in bits. More...
const std::string & | shortname () const
| returns the shortname of the LED. More...
const std::vector< std::string > & | groups () const
| returns the group names the LED belongs to. More...
Color | color () const
| Color of the LED. More...
Public Member Functions inherited from Sim::DCMActuator
| DCMActuator (class DCMActuatorImpl *impl)
| private constructor. More...
| DCMActuator (const DCMActuator &other)
| copy constructor. More...
| ~DCMActuator ()
| destructor More...
const std::vector< std::string > & | dcmKeys () const
| returns a vector of the strings in the DCM concerning this actuator. More...
Public Member Functions inherited from Sim::Actuator
| Actuator (class ActuatorImpl *impl)
| private constructor. More...
| Actuator (const Actuator &other)
| copy constructor. More...
| ~Actuator ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Actuator. More...
virtual const std::string & | name () const
| returns the name of the Actuator. More...
Type | type () const
| returns the Type of the Actuator. More...

## Additional Inherited Members
Public Attributes inherited from Sim::Actuator
ActuatorImpl * | a_impl
| private implementation More...

## Detailed Description

LEDActuator is a class defining a LED actuator.

Definition at line 847 of file alrobotmodel.h.

## Member Enumeration Documentation

enum Sim::LEDActuator::Color

color of the LED

Enumerator
RED |
GREEN |
BLUE |

Definition at line 851 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::LEDActuator::LEDActuator | ( | class LEDActuatorImpl * | impl | ) |

private constructor.

Sim::LEDActuator::LEDActuator | ( | const LEDActuator & | other | ) |

copy constructor.

Sim::LEDActuator::~LEDActuator | ( |  | ) |

destructor.

## Member Function Documentation

virtual int Sim::LEDActuator::bufferSize | ( |  | ) | const
| virtual

returns the size of the buffer of a command to the LEDActuator in bits.

Implements Sim::DCMActuator.

Color Sim::LEDActuator::color | ( |  | ) | const

Color of the LED.

const std::vector<std::string>& Sim::LEDActuator::groups | ( |  | ) | const

returns the group names the LED belongs to.

const std::string& Sim::LEDActuator::shortname | ( |  | ) | const

returns the shortname of the LED.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h